<?php
	include'session.php';
	include'../connection.php';
	include'../functions.php';
?>
<html>
<head>
	<title>Topup Report</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:1%;
			padding:10px;
		}
		.div1 input, .div1 select{
			height:30px;
			max-width:150px;
			font-size:16px;
			padding:2px 7px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:0 10px 10px 10px;
			overflow-x:auto;
		}
		.div2 table{
			width:100%;
			text-align:center;
			font-size:15px;
			border-collapse:collapse;
			padding:2px 10px;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}.div1 input{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Topup Report :-</p></div>
				<div class="msg"><marquee><?php include'../msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
				<form method="post">
					<div class="div1">
						<input type="date" name="fdate" value="<?php echo $date; ?>">
						<input type="date" name="ldate" value="<?php echo $date; ?>">
						<select name="status">
						    <option>ALL</option>
						    <option>APPROVED</option>
						    <option>PENDING</option>
						    <option>REJECTED</option>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Req.Id</th>
							<th>Date</th>
							<th>Time</th>
							<th>Amount</th>
							<th>Bank</th>
							<th>Txn No.</th>
							<th>Mode</th>
							<th>Remarks</th>
							<th>Status</th>
						</tr>
						<?PHP
						    $TotalAmount=0;
							if(isset($_POST['submit']))
							{
								$fdate  = $_POST['fdate'];
								$ldate  = $_POST['ldate'];
								$status = $_POST['status'];
								
								$sl=0;
								if($status=="ALL")
								{
								    $quPayment="SELECT * FROM order_req WHERE Userid='$userid' AND Date>='$fdate' AND Date<='$ldate'";
								}
								else
								{
								    $quPayment="SELECT * FROM order_req WHERE Userid='$userid' AND Status='$status' AND Date>='$fdate' AND Date<='$ldate'";
								}
								$rePayment=mysqli_query($con,$quPayment);
								$countPayment=mysqli_num_rows($rePayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									if($dataPayment['Status']=="REJECTED")
									{
										$color="red";
									}
									elseif($dataPayment['Status']=="APPROVED")
									{
										$color="green";
									}
									else
									{
										$color="blue";
									}
									
									echo"<tr>";
										echo "<td>".$dataPayment['Id']."</td>";
										echo "<td>".$dataPayment['Date']."</td>";
										echo "<td>".$dataPayment['Time']."</td>";
										echo "<td>".$dataPayment['Amount']."</td>";
										echo "<td>".$dataPayment['BankName']."</td>";
										echo "<td>".$dataPayment['TxnNo']."</td>";
										echo "<td>".$dataPayment['Mode']."</td>";
										echo "<td>".$dataPayment['Remarks']."</td>";
										echo "<td><p id='$color'>".$dataPayment['Status']."</p></td>";
									echo"</tr>";
									$TotalAmount=$TotalAmount+$dataPayment['Amount'];
								}
								if($countPayment<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
								else
								{
								    echo"<tr>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th>".$TotalAmount."</th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								    echo"</tr>";
								}
							}
							else
							{
								$sl=0;
								$quPayment="SELECT * FROM order_req WHERE Userid='$userid' ORDER BY Id DESC LIMIT 10";
								$rePayment=mysqli_query($con,$quPayment);
								$countPayment=mysqli_num_rows($rePayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									if($dataPayment['Status']=="REJECTED")
									{
										$color="red";
									}
									elseif($dataPayment['Status']=="APPROVED")
									{
										$color="green";
									}
									else
									{
										$color="blue";
									}
									echo"<tr>";
										echo "<td>".$dataPayment['Id']."</td>";
										echo "<td>".$dataPayment['Date']."</td>";
										echo "<td>".$dataPayment['Time']."</td>";
										echo "<td>".$dataPayment['Amount']."</td>";
										echo "<td>".$dataPayment['BankName']."</td>";
										echo "<td>".$dataPayment['TxnNo']."</td>";
										echo "<td>".$dataPayment['Mode']."</td>";
										echo "<td>".$dataPayment['Remarks']."</td>";
										echo "<td><p id='$color'>".$dataPayment['Status']."</p></td>";
									echo"</tr>";
									$TotalAmount=$TotalAmount+$dataPayment['Amount'];
								}
								if($countPayment<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
								else
								{
								    echo"<tr>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th>".$TotalAmount."</th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								        echo"<th></th>";
								    echo"</tr>";
								}
							}
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>